import org.hibernate.Session;

public class Main {
  public static void main(String[] args) throws Exception {
    HibernateUtil hibernateUtil = new HibernateUtil();
    hibernateUtil
        .executeSQLCommand("create table CD(id varchar,title varchar,purchaseDate date,cost decimal(6,2),countryCode varchar,areaCode varchar)");

    Session session = hibernateUtil.getSession();
    CD cd = new CD();
    cd.setArtist("artist");
    cd.setTitle("title");

    SerialNumber serial = new SerialNumber();
    serial.setAreaCode("1");
    serial.setCountryCode("1");
    
    cd.setSerial(serial);
    
    String id = (String)session.save(cd);
    System.out.println(id);
    session.flush();

    session.close();
    hibernateUtil.checkData("select * from CD");
  }
}